For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETGet API key permission options
      • GETList API keys
      • POSTCreate API key
      • GETGet aggregate API key analytics
      • GETReveal test key plaintext
      • GETGet API key
      • PUTUpdate API key
      • DELDelete API key
      • POSTRegenerate API key
      • GETGet API key analytics
Dashboard
LogoLogo
Runtype APIAPI Keys

Get API key analytics

GET
/v1/api-keys/:id/analytics
GET
/v1/api-keys/:id/analytics
$curl https://api.runtype.com/v1/api-keys/id/analytics \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "analytics": {
3 "lastUsedAt": "2024-04-20T16:45:00Z"
4 },
5 "timestamp": "2024-04-20T16:45:00Z"
6}
Summary analytics for a single API key. Detailed usage counts live in Analytics Engine and must be queried separately.
Was this page helpful?
Previous

Validate a prospective flow payload

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

API key analytics summary
analyticsobject
timestampdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error